#
# Author:: Anicheev Serghei (<serghei.anicheev@gmail.com>)
# Copyright:: Copyright (c) 2016 Nemo AI.
#

require 'erb'

module RecommendMe
  class Generator
    def self.generate_file(variables, template, file)
      puts "CREATING FILE : #{file} FROM TEMPLATE : #{template}, USING VARIABLES : #{variables}\n"
      template = Helpers.read_file(template)
      data = ERB.new(template).result(binding)
      Helpers.write_file(file, data)
    end
  end
end
